<%@include file="includes/taglibs.jsp"%>

<portlet:defineObjects/>
<fmt:setBundle basename="hu.midori.kosmos.portlet.svn.svn_monitoring" scope="application"/>

<table>
  <tr class="portlet-section-body">
    <td><fmt:message key="svnrepository.dirs"/>:</td>
    <td><fmt:formatNumber value="${repository.dirs}"/></td>
    <td/>
  </tr>
  <tr class="portlet-section-alternate">
    <td><fmt:message key="svnrepository.files"/>:</td>
    <td><fmt:formatNumber value="${repository.files}"/></td>
    <td/>
  </tr>
  <tr class="portlet-section-body">
    <td><fmt:message key="svnrepository.totalRepositoryEntries"/>:</td>
    <td><fmt:formatNumber value="${repository.dirs + repository.files}"/></td>
    <td/>
  </tr>
  <tr class="portlet-section-alternate">
    <td><fmt:message key="svnrepository.totalFileSize"/>:</td>
    <td><fmt:formatNumber value="${repository.totalFileSize}"/>&nbsp;B</td>
    <td/>
  </tr>
  <tr class="portlet-section-body">
    <td><fmt:message key="svnrepository.repositoryEntryHistory"/>:</td>
    <td valign="top"><img src="<c:out value="${repository.repoEntriesPerWeekChartUrl}"/>" title="<fmt:message key="svnrepository.repositoryEntryHistory"/>"/></td>
    <td/>
  </tr>
  <tr class="portlet-section-alternate">
    <td valign="top"><fmt:message key="svnrepository.filesByFileType"/>:</td>
    <td valign="top"><img src="<c:out value="${repository.filesPerFileTypeChartUrl}"/>" title="<fmt:message key="svnrepository.filesPerFileType"/>"/></td>
    <td valign="top">

      <c:set var="listSize" value="${fn:length(repository.filesPerFileType)}"/>
      <c:set var="listIndex" value="0"/>
      <%@include file="includes/table_expander.jsp" %>

      <table>
        <c:forEach var="item" items="${repository.filesPerFileType}" varStatus="status">
          <c:choose>
            <c:when test="${status.index < 10}">
              <tr id="row-<portlet:namespace/>-0-<c:out value="${status.index}"/>" class="portlet-section-body">
            </c:when>
            <c:otherwise>
              <tr id="row-<portlet:namespace/>-0-<c:out value="${status.index}"/>" style="display: none" class="portlet-section-body">
            </c:otherwise>
          </c:choose>
            <td><c:out value="${1 + status.index}"/></td>
            <td><c:out value="${item.key}"/></td>
            <td><c:out value="${item.value}"/></td>
          </tr>
        </c:forEach>
      </table>
    </td>
  </tr>
  <%@include file="includes/table_footer.jsp"%>
</table>

<form action="<portlet:renderURL/>" method="post">
  <input type="submit" class="portlet-form-button" name="submit" value="<fmt:message key="action.back"/>"/>
</form>
