<%@include file="includes/taglibs.jsp"%>

<portlet:defineObjects/>
<fmt:setBundle basename="hu.midori.kosmos.portlet.svn.svn_monitoring" scope="application"/>

<display:table name="${repositories}" id="repositoriesIt" requestURI="<%=renderResponse.createRenderURL().toString() %>" requestURIcontext="false">
  <c:set var="id" scope="page" value="${repositoriesIt.id}"/>
  <display:column style="width:20px">
    <c:choose>
      <c:when test="${(repositoriesIt.latestTouchAgeInDays > 31) || (repositoriesIt.activity < 0.05)}">
        <img src="<%= renderRequest.getContextPath() %>/pages/images/old.gif" title="<fmt:message key="legend.old"/>"/>
      </c:when>
      <c:otherwise>
        &nbsp;
      </c:otherwise>
    </c:choose>
  </display:column>
  <display:column titleKey="svnrepository.location" style="white-space:nowrap" sortProperty="location" sortable="true">
    <a href="<c:out value="${repositoriesIt.location}"/>"><c:out value="${repositoriesIt.location}"/></a>
    &nbsp;
    <a href="<portlet:renderURL><portlet:param name="action" value="viewRepositoryDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
      <img src="<%= renderRequest.getContextPath() %>/pages/images/info.gif" title="<fmt:message key="svnrepository.repositoryDetails"/>" border="0"/>
    </a>
  </display:column>
  <display:column titleKey="svnrepository.revision" style="white-space:nowrap" sortProperty="revision" sortable="true">
    <c:out value="${repositoriesIt.revision}"/>
    &nbsp;
    <a href="<portlet:renderURL><portlet:param name="action" value="viewRevisionDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
      <img src="<%= renderRequest.getContextPath() %>/pages/images/info.gif" title="<fmt:message key="svnrepository.revisionDetails"/>" border="0"/>
    </a>
  </display:column>
  <display:column titleKey="svnrepository.committersTotal" style="white-space:nowrap" sortProperty="committersTotal" sortable="true">
    <fmt:formatNumber value="${repositoriesIt.committersTotal}"/>
    <a href="<portlet:renderURL><portlet:param name="action" value="viewCommitterDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
      <img src="<%= renderRequest.getContextPath() %>/pages/images/info.gif" title="<fmt:message key="svnrepository.committerDetails"/>" border="0"/>
    </a>
  </display:column>
  <display:column titleKey="svnrepository.activityLast7Days" style="white-space:nowrap" sortProperty="activity" sortable="true">
    <c:if test="${repositoriesIt.activity < 0.05}"><span class="portlet-msg-error"></c:if>
    <fmt:formatNumber value="${repositoriesIt.activity}" type="percent" minFractionDigits="1" maxFractionDigits="1"/>
    <c:if test="${repositoriesIt.activity < 0.05}"></span></c:if>
    &nbsp;
    <a href="<portlet:renderURL><portlet:param name="action" value="viewActivityDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
      <img src="<%= renderRequest.getContextPath() %>/pages/images/info.gif" title="<fmt:message key="svnrepository.activityDetails"/>" border="0"/>
    </a>
  </display:column>
  <display:column titleKey="svnrepository.latestTouchAge" style="white-space:nowrap" sortProperty="latestTouchAge" sortable="true">
    <c:if test="${repositoriesIt.latestTouchAgeInDays > 31}"><span class="portlet-msg-error"></c:if>
      <kosmos:age time="${repositoriesIt.latestTouchAge}"/>
    <c:if test="${repositoriesIt.latestTouchAgeInDays > 31}"></span></c:if>
  </display:column>
  <display:footer>
    <%@include file="includes/table_footer.jsp"%>
  </display:footer>
</display:table>

<form action="<portlet:renderURL/>" method="post">
  <input type="submit" class="portlet-form-button" name="submit" value="<fmt:message key="action.refresh"/>"/>
</form>
